#ifndef Editor_H
#define Editor_H

#include <Animation.h>
#include <Fenster.h>
#include "Auswahl/Auswahl.h"
#include "Karte/KartenEditor.h"

using namespace Framework;

class Editor : public Zeichnung
{
private:
	Punkt begPos;
	Punkt begGröße;
	Punkt pos1;
	Punkt größe1;
	Punkt pos2;
	Punkt größe2;
	Punkt bildschirmGröße;
	LRahmen *rahmen;
	Animation2D *laden;
	Schrift *schrift;
	Auswahl *karteAuswahl;
	KartenEditor *kEditor;
	int dg;
	int animation;
	int alpha;
	bool sichtbar;
	int prozent1;
	int prozent2;
	double tickVal;
	int jetzt;
	int ref;

public:
	// Konstruktor
	Editor( Schrift *zSchrift, Fenster *zNachLoginFenster, int x );
	// Destruktor
	~Editor();
	// nicht constant
	void setSichtbar( bool sicht );
	void doMausEreignis( MausEreignis &me ) override;
	void doTastaturEreignis( TastaturEreignis &te ) override;
	bool tick( double z ) override;
	void render( Bild &zRObj ) override;
	// constant
	bool istAnimiert() const;
	bool istSichtbar() const;
	// Reference Counting
	Editor *getThis();
	Editor *release();
};

#endif